/*****
     tchunk.java
***/

import java.io.*;
import java.util.*;

import net.deterlab.abac.*;

public class tchunk {

    static {
        System.loadLibrary("jABAC");
    }

    public static void main(String[] args) throws IOException {

        String w=args[0];
        String icecreamID=args[1];
        String icecreamKEY=args[2];

        Context ctxt=new Context();

        ID id=new ID(icecreamID);
        id.id_load_privkey_file(icecreamKEY);

        ctxt.load_id(id);
        if(w.equals("0")) {
            System.out.println("USING chunk...");
            ctxt.load_id_chunks(id.id_cert_chunk(), id.id_privkey_chunk());
        } else {
            System.out.println("USING NO chunk...");
            ctxt.load_id(id);
        }

        /* what is in prolog db */
        ctxt.dump_yap_db(); 

        System.out.println("called main from tchunk.java");

    }
}

